# $Revision: 1.24.2.2 $, $Date: 2003/09/06 00:23:27 $
Summary:	tgif drawing package
Summary(pl):	tgif - pakiet do tworzenia grafiki 2D
Summary(ja):	Ū 2 ưפˤ Xlib ˴Ť X11 饤
Name:		tgif
Version:	4.1.42
Release:	3
License:	QPL
Group:		X11/Applications/Graphics
Source0:	ftp://bourbon.usc.edu/pub/tgif/%{name}-QPL-%{version}.tar.gz
# Source0-md5:	83b1cd01b1570fbf71ea5994af87f42e
Source1:	%{name}.ap.ja
Patch0:		%{name}-po.patch
URL:		http://bourbon.usc.edu:8001/tgif/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
tgif is a drawing packages for X. It has better text and object
support than xfig, but is a little different to use.

%description -l pl
tgif jest programem do rysowania w 2D pod X Window. Ma lepsze wsparcie
dla tekstu i obiektw ni xfig, ale jest nieco trudniejszy w obsudze.

%description -l ja
Tgif Ū 2 ưפˤ Xlib ˴Ť X11
饤ȤǤγع¤ν֤δñ
򥵥ݡȤƤޤޤ WWW Υѥѡեå
(⤷ϥϥѡȥ饯㡼ɡեå)֥ Ǥ

%prep
%setup -q -n %{name}-QPL-%{version}
%patch0 -p1

%build
rm -rf Tgif.tmpl
cp -f Tgif.tmpl-linux Tgif.tmpl
xmkmf
%{__make} tgif \
	MOREDEFINES="-DOVERTHESPOT -DUSE_XT_INITIALIZE -D_ENABLE_NLS \
	-DPRINT_CMD=\\\"lpr\\\" -DA4PAPER" TGIFDIR="%{_datadir}/tgif" \
	LOCAL_LIBRARIES="-lXmu -lXt -lX11" \
	CDEBUGFLAGS="%{rpmcflags}"

cd po
xmkmf -a
%{__make} depend
%{__make} all
cd ..

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/ja

%{__make} DESTDIR="$RPM_BUILD_ROOT" TGIFDIR=%{_datadir}/tgif install install.man
install *.obj $RPM_BUILD_ROOT%{_datadir}/tgif

%{__make} -C po DESTDIR="$RPM_BUILD_ROOT" install

mv -f $RPM_BUILD_ROOT%{_datadir}/tgif/tgif.Xdefaults \
	$RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/Tgif
install %{SOURCE1} $RPM_BUILD_ROOT%{_libdir}/X11/app-defaults/ja/Tgif

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README HISTORY Copyright
%attr(755,root,root) %{_bindir}/tgif
%{_datadir}/tgif
%{_mandir}/man1/*
%{_libdir}/X11/app-defaults/Tgif
%lang(ja) %{_libdir}/X11/app-defaults/ja/Tgif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tgif.spec,v $
Revision 1.24.2.2  2003/09/06 00:23:27  ankry
- added md5
- fixed translation files (-po patch)
- new %doc
- use proper app-defaults dir for ja
- rel. 3

Revision 1.24.2.1  2003/07/11 12:04:21  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.24  2002/03/30 18:54:05  qboosh
- use optflags, cosmetics

Revision 1.23  2002/03/28 10:46:02  wrobell
- ver. 4.1.42
- move to QPL license
- stb

Revision 1.22  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.21  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/01/18 02:15:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.19  2001/11/23 14:37:23  qboosh
- adaapterized, s/Copyright/License/

Revision 1.18  2001/08/23 16:52:18  filon
- changed: make -> %%{__make}

Revision 1.17  2001/05/08 16:06:06  wiget
- switch to original sources (auto* for tgif is dead)
- version 4.1.40
- added japan X11 resources
- japan description and summary

Revision 1.16  2001/03/25 10:50:57  qboosh
- fixed mandir
- spec %%{debug} ready

Revision 1.15  2000/06/09 07:55:12  kloczek
- more %%{__make} macros.

Revision 1.14  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.13  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.11  1999/07/12 23:06:15  kloczek

- added using CVS keywords in %changelog (for automating them).

* Tue Jun  8 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.1.15-1]
- added more rpm macros,
- package can be now builded on systems FFHS 2.0 compliant.

* Thu Apr 15 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [4.1.4-1]
- moved data files for tgif to /usr/X11R6/share/tgif,
- enabled NLS support (added ja .mo file).

* Fri Apr  9 1999 Artur Frysiak <wiget@pld.org.pl>
- added full decription of files permision
- gzipping doc
- using DESTDIR in install
- added Group(pl)

* Sat Dec 13 1997 Jan Prikryl <prikryl@acm.org>
Release 2: dependencies changed
           i386 RPM linked against libc.so.6

* Tue Aug 05 1997 Corey Minyard <minyard@acm.org>
Initial version
